# $Revision: 1.4 $, $Date: 2010/06/07 12:14:19 $
Summary:	Utilities belonging to the btrfs filesystem
Name:		btrfs-progs
Version:	0.19
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	http://www.kernel.org/pub/linux/kernel/people/mason/btrfs/%{name}-%{version}.tar.bz2
# Source0-md5:	5854728d080cc76f21a83bdc99b6ddaa
Patch0:		%{name}-fix-labels.patch
Patch1:		%{name}-build-everything.patch
Patch2:		%{name}-valgrind.patch
Patch3:		%{name}-fix-return-value.patch
Patch4:		%{name}-build-fixes.patch
Patch5:		%{name}-upstream.patch
URL:		http://btrfs.wiki.kernel.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libuuid-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Btrfs is a new copy on write filesystem for Linux aimed at
implementing advanced features while focusing on fault tolerance,
repair and easy administration.

%prep
%setup -q
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch1 -p1

sed -i -e 's#gcc#$(CC)#g' Makefile

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

%{__make} install \
	prefix=%{_prefix} \
	bindir=%{_sbindir} \
	mandir=%{_mandir} \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf btrfsck $RPM_BUILD_ROOT%{_sbindir}/fsck.btrfs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: btrfs-progs.spec,v $
Revision 1.4  2010/06/07 12:14:19  areq
- add patches from fedora

Revision 1.3  2009/11/07 23:14:09  adamg
- updated to 0.19

Revision 1.2  2009/02/09 20:31:41  zawadaa
- up to 0.18

Revision 1.1  2009/01/14 18:49:26  arekm
- initial
